%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

# Use this switch to rebuild without infinispan
# This is useful to break the hibernate-search circular dependency
%define with_infinispan 1

Name:             hibernate-search
Version:          4.5.1
Release:          %mkrel 13
Group:            Development/Java
Summary:          Hibernate Search
License:          LGPLv2+
Url:              http://search.hibernate.org

# wget https://github.com/hibernate/hibernate-search/archive/4.5.1.Final.tar.gz
# tar -xf 4.5.1.Final.tar.gz
# rm -rf hibernate-search-4.5.1.Final/orm/src/test/resources/org/hibernate/search/test/bridge/tika/
# tar -cvjf hibernate-search-4.5.1.Final-CLEAN.tar.gz hibernate-search-4.5.1.Final/
Source0:          hibernate-search-%{namedversion}-CLEAN.tar.gz

BuildRequires:    maven-local
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    avro
BuildRequires:    jgroups
BuildRequires:    slf4j
BuildRequires:    jboss-transaction-1.1-api

BuildRequires:    lucene3
BuildRequires:    lucene3-contrib

BuildRequires:    solr3

BuildRequires:    h2
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-processor-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    byteman
BuildRequires:    hibernate-commons-annotations
BuildRequires:    hibernate-jpa-2.1-api
BuildRequires:    hibernate4-core >= 4.3.1-1
BuildRequires:    geronimo-jta
BuildRequires:    junit
BuildRequires:    tika

%if %{with_infinispan}
BuildRequires:    infinispan
%endif

BuildArch:        noarch

%description
Full text search engines like Apache Lucene are very powerful technologies to
add efficient free text search capabilities to applications. However, Lucene
suffers several mismatches when dealing with object domain models. Amongst
other things indexes have to be kept up to date and mismatches between index
structure and domain model as well as query mismatches have to be avoided.

Hibernate Search addresses these shortcomings - it indexes your domain model
with the help of a few annotations, takes care of database/index
synchronization and brings back regular managed objects from free text queries.

Hibernate Search is using Apache Lucene under the cover.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-search-%{namedversion}

%pom_disable_module integrationtest/wildfly
%pom_disable_module integrationtest/spring
%pom_disable_module integrationtest/narayana
%pom_disable_module testing
%pom_disable_module modules
%pom_disable_module legacy

%if !%{with_infinispan}
%pom_disable_module infinispan
%endif

%pom_remove_plugin ":maven-enforcer-plugin"

%pom_remove_dep "org.apache.tika:tika-parsers" engine/pom.xml
%pom_add_dep "org.apache.tika:tika-core" engine/pom.xml

sed -i "s|luceneVersion>3.6.2</luceneVersion|luceneVersion>3</luceneVersion|" pom.xml

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc lgpl.txt README.md

%files javadoc -f .mfiles-javadoc
%doc lgpl.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 4.5.1-13.mga6
+ Revision: 982318
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 4.5.1-12.mga6
+ Revision: 980931
- First rebuild of the java stack
- sync package hibernate-search with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.5.1-11.mga5
+ Revision: 806448
- Clean rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.5.1-10.mga5
+ Revision: 806400
- Fix BuildRequires
- Rebuild with infinispan
- Rebuild with infinispan
- Sync with Fedora 21 (update to 4.5.1.Final)

  + dmorgan <dmorgan>
    - Fix lucene requires

* Wed Oct 15 2014 umeabot <umeabot> 4.4.0-0.6.CR1.5.mga5
+ Revision: 747959
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 4.4.0-0.6.CR1.3.mga4
+ Revision: 563588
- Try to build infinispan support

* Tue Dec 31 2013 dmorgan <dmorgan> 4.4.0-0.6.CR1.2.mga4
+ Revision: 563579
- Disable infinispan module again
- Rebuild against new infinispan
- imported package hibernate-search


* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.4.0-0.6.CR1
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.5.CR1
- Enable infinispan module

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.4.CR1
- Updated license and dist macro

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.3.CR1
- Cleaned up source from mp3 (?!) files

* Wed Oct 16 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.2.CR1
- Use version 3 (compat) of solr

* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.1.CR1
- Initial import



